Subject: RE: bug#35887: 26.1; global-eldoc-mode minibuffer noise is very annoying

From: Drew Adams <[email-masked]>
Date: Mon, 27 May 2019 15:31:33 -0700 (PDT)

> I turn ‘global-eldoc-mode’ off too, but I think it should be enabled
> by default to demonstrate to newbies that Emacs has the same feature
> that their IDEs have.

Fair enough.  But on the flip side, better that a
newbie should learn, early, that there is much more
to Emacs than first meets the eye.  And learn, early
on, how to discover for herself such non-default
features.

I disagree, in general (yes, abstractly, and such
things should really be decided mostly case by case),
with the idea of showing things initially just to be
sure users notice them.

That's not a strong reason.  We sometimes hear it
espoused also as a reason for turning on some shiny
new behavior: so users will notice it.  Not a great
reason, on its own.  We have NEWS for that (and
Sacha's tangents newsletter and...
___

As for discoverability (a larger question) -

1. There's little substitute now for a newbie learning
   the help keys (`C-h`...) at the outset.

2. Menus can help.

3. Google etc. help (word-of-mouth in our era).

4. But Emacs could offer more aids to discoverability.
   Instead of turning things on by default so users
   can easily see they exist, we'd be better off adding
   more discovery help.  (Emacs is, after all, the
   self-documenting editor.)